Package Details: cawbird 1.0.1-1

Git Clone URL: https://aur.archlinux.org/cawbird.git (read-only)
Package Base: cawbird
Description: Native Gtk+ Twitter Client
Upstream URL: https://ibboard.co.uk/cawbird/
Licenses: GPL3
Submitter: FabioLolix
Maintainer: FabioLolix
Last Packager: FabioLolix
Votes: 5
Popularity: 2.367297
First Submitted: 2019-08-30 17:27
Last Updated: 2019-09-02 22:12

Latest Comments

deadite66 commented on 2019-10-03 05:23

fails to build for me.

Found CMake: /usr/bin/cmake (3.15.4)

Run-time dependency gtk+-3.0 found: NO (tried cmake)

meson.build:18:0: ERROR: Could not generate cargs for gtk+-3.0:

gtk3 is installed.

pacman -Q gtk3 gtk3 1:3.24.11-1

nahuelwexd commented on 2019-10-02 20:03

Just add patch with this commit and that's it

https://github.com/IBBoard/cawbird/commit/7b88f8856d108b9555ba7b855c7daed7b9e745ca

thomasqueirozb commented on 2019-10-02 20:00

For version 1.0.1 To fix the compilation error add this line just after cd "$pkgname-$pkgver"

sed -i '51s/public/protected/' src/DefaultTimeline.vala

Note: I don't actually know if this causes any bugs or if the code I'm substituting is wrong. It just fixes the error and compiles correctly.

spsf64 commented on 2019-09-25 10:54

I got this error:

../src/DefaultTimeline.vala:51.3-51.24: error: Creation method of abstract class cannot be public. public DefaultTimeline (int id) { ^^^^^^^^^^^^^^^^^^^^^^ Compilation failed: 1 error(s), 0 warning(s) [5/179] Generating uk.co.ibboard.cawbird.appdata.xml_data_merge with a custom command. ninja: build stopped: subcommand failed. ==> ERROR: A failure occurred in build().